<?php
/*
 * Plugin Name:       Woo Addtobasket Simple Popup (EasyToolsWP)
 * Description:       Adds a fading popup in the center of the screen when an item is added to the cart. Style with class .etwp-addtobasket-popup
 * Version:           1.0.1
 * Requires at least: 6.6
 * Author:            EasyToolsWP.com
 * Requires Plugins:  woocommerce
 */

function etwp_addtobasket_enqueue_scripts() {
    wp_enqueue_script('jquery');
    wp_enqueue_style('etwp-addtobasket-popup-style', plugin_dir_url(__FILE__) . 'etwp-addtobasket-popup.css');
}
add_action('wp_enqueue_scripts', 'etwp_addtobasket_enqueue_scripts');

// Hook på WooCommerce add to cart
add_action('wp_footer', 'etwp_addtobasket_show_popup');

function etwp_addtobasket_show_popup() {
    ?>
    
<a href="<?php echo esc_url(wc_get_cart_url()); ?>"><div class="etwp-addtobasket-popup">Added to cart</div></a>

    <script>
        jQuery(document).ready(function($) {
            // WC Cart updated event
            $(document.body).on('added_to_cart', function() {
                // Create and display the fading popup
                var popup = $('.etwp-addtobasket-popup');
                popup.fadeIn('slow', function() {
                    setTimeout(function() {
                        popup.fadeOut('slow');
                    }, 3000); // 3000 milliseconds (3 seconds) timeout, adjust as needed
                });
            });
        });
    </script>
    <?php
}
